// MIXINS, VARIABLES & EXTENDS:

@import "assets";

// INSTITUTION:

#institution {
  :global(#institution-info) {
    @include flexbox();

    :global(#institution-image) {
      @include flex(0 0 500px);
      margin-right: 20px;
      img {
        @include shadow;
        max-width: 500px; // Just precautios, as I set the images to this max width beforehand.
        display: block;
        box-shadow: var(--shadow-elevation);
      }
    }
  }

  &:global(.rtl) {
    :global(#institution-info) {
      :global(#institution-image) {
        margin: 0 0 0 20px;
      }
    }
  }

  // RESPONSIVENESS RULES:

  @media screen and (max-width: $tablet-width) {
    :global(#institution-info) {
      display: block;
      :global(#institution-image) {
        margin: 0 0 20px 0;
        img {
          max-width: 100%;
          height: auto;
        }
      }
    }
    &:global(.rtl) {
      :global(#institution-info) {
        :global(#institution-image) {
          margin: 0 0 20px 0;
        }
      }
    }
  }
}
